Jump to content

Pod Farm 2.5 in 64 bits on a Mac.


Recommended Posts

i seem to remember that the pod farm 2.5+ binaries are universal 32/64 bit and not separate files.

i don't remember the fix, but they will run 64bit... may be dependent on your DAW, or you may need to do the get info thing on the pod farm binary and hit the 32/64bit check box.

Link to comment
Share on other sites

  • 1 month later...

This problem has yet to be solved. I can cofirm that the POD Farm 2.5 VST plug-in does not run is 64-bit mode. I have run across this issue on many different online forums now. On Mac OSX both the 32 & 64 bit versions are written into the same plug-in unlike Windows which uses two separate versions. I spoke with Line6 tech support online and I was told "It's a problem with Cubase not recognizing the 64-bit Universal Binary in the VST plug-in." This is simply not true. I have tried this with Cubase 6 and Cubase 7 as well as other VST hosts. Cubase has no problems opening any of my other 64-bit VST plug-ins from other third party developers. Steinberg is the company that created VST technology so I'm sure they know to open a 64-bit Universal Binary.

   I havent tried this on Cubase 8 yet but I assume nothing has changed as the problem lies within the POD Farm 2.5 VST being 32-bit only, not with Cubase. The 64-bit VST plug-in won't open even if you're running the latest updates on all software (POD Farm, Cubase, OSX) or any version for that matter, that's becasue the POD Farm VST just isn't 64-bit.

This is strange because the standalone appplication runs in 64-bit no problem, and Logic recognizes and lauches the AU plug-in in 64-bit mode just fine. The problem is the POD Farm 2.5 VST, it's simply 32-bit only.  I have tried everything; reconfiguring the filepath, reinstalling both POD Farm & Cubase, I even tired different versions of OSX with no success.

 

Here are some other thread topics concerning to same problem:

http://line6.com/support/topic/5872-cant-find-64-bit-vst-plugins-for-mac-osx/

http://line6.com/support/topic/3089-pod-farm2-in-cubase-appears-to-be-in-32-bit-mode/

Link to comment
Share on other sites

regardless of what you "think" is resolved or not resolved....

i have access to the 64 bit plugins when using logic pro x

so the plugins are there and they do work....

there's no reason not to believe that your choice in DAW may in fact be where the issue is.

logic does not support 32bit plugins natively... therefore i know they are running in 64 bit.

  • Downvote 1
Link to comment
Share on other sites

ZAP You are truly mistaken! first of all Logic Pro 9 does support 32-bits you just have to right click on the app icon in your applications folder to enable 32-bit mode by going to "Get Info" then checking off the box "Open in 32-bit mode". Second If you read my entire post you would know that I can also open AU plug-in using Logic in 64-bit mode, but then again if you read my entire post you'd realize I'm talking about the VST plug-in not the AU. It's not what I think, It's what I KNOW, and I'm clearly not the only one experienceing this. Look at the other threads I linked above from this forum. There are also other online forums discussing the exact same issue, Believe me it's not resolved, The VST plug-in is 32-bit only and anyone else that tries will confirm this. I guarentee it! again it's not what I think, It's what I know. As I said before the standalone application, and the AU plug-in work fine in 64-bit, but the VST plug-in does not work in 64-bit only 32. I've tried this with multiple VST hosts, it does not work in 64-bit.

Link to comment
Share on other sites

i said specifically logic pro x (yes the AU)

and i've used 64bit reaper, bitwig, ableton, and indeed cubase 6 with the VST's

so clearly YOU are the one mistaken.

and i KNOW that it works for me...

which clearly means that you're wrong....

because according to you it simply doesn't work.

and i know that's 100% wrong.

now you can continue working on YOUR issue...

or you can continue to mislead people here on the forums...

there is no real argument.

 

 

ZAP You are truly mistaken! first of all Logic Pro 9 does support 32-bits you just have to right click on the app icon in your applications folder to enable 32-bit mode by going to "Get Info" then checking off the box "Open in 32-bit mode". Second If you read my entire post you would know that I can also open AU plug-in using Logic in 64-bit mode, but then again if you read my entire post you'd realize I'm talking about the VST plug-in not the AU. It's not what I think, It's what I KNOW, and I'm clearly not the only one experienceing this. Look at the other threads I linked above from this forum. There are also other online forums discussing the exact same issue, Believe me it's not resolved, The VST plug-in is 32-bit only and anyone else that tries will confirm this. I guarentee it! again it's not what I think, It's what I know. As I said before the standalone application, and the AU plug-in work fine in 64-bit, but the VST plug-in does not work in 64-bit only 32. I've tried this with multiple VST hosts, it does not work in 64-bit.

Link to comment
Share on other sites

Sorry but are you sure that's the VST and not the AU, Ableton Live can run both VST & AU plug-ins, I can run the 64-bit AU too.

And Cockos Reaper has a 32-bit Bridge which would also allow POD Farm to open, I can also do this too.

 

But you say that you've indeed used Cubase 6 to run Pod Farm in 64-bit. I'm just curious as to how you possibly managed to do that because Line6 states that Pod Farm does not support 64-bit in Cubase on OSX. Look at the system requirements on the Line6 website itself: http://line6.com/store/item/188  scroll near the bottom of the page and read the notes at the end. It says the same thing for all versions of POD Farm including Platinum:  32-bit for Cubase for OSX

 

You can continue to mislead people here but there is no real argument. It's right there in black & white from Line6 themselves.

 

 

i said specifically logic pro x (yes the AU)

and i've used 64bit reaper, bitwig, ableton, and indeed cubase 6 with the VST's

so clearly YOU are the one mistaken.

and i KNOW that it works for me...

which clearly means that you're wrong....

because according to you it simply doesn't work.

and i know that's 100% wrong.

now you can continue working on YOUR issue...

or you can continue to mislead people here on the forums...

there is no real argument.

Link to comment
Share on other sites

  • 1 year later...
  • 1 month later...

The simple truth is, VST plugins are 32-bit only. You cannot use them anymore in Cubase 9. Cubase 9 now support only true 64-bit plugins (which is very correct).

 

That story is like story about (old) Variax software - Line 6 will tell you to install ancient Mountain Lion on Mac, just to adjust the volume levels on the old Variax guitar.

 

And - if there will not be real update soon, more and more people instead of Pod Farm will use Amplitube (with simply works and sounds great).

 

PS,

so called "Line 6 Experts" - please, do not try to say that you are using some different (not VST) versions of the plugins. We are talking about apples, not pears here.

 

Best!

Link to comment
Share on other sites

Now that Cubase 9 has been released, the only way I'll be able to use it is by buying an additional £80 piece of software in the form of Sound Radix 32 Lives. That to me seems absolutely ridiculous given the cost of Pod Farm Platinum and the fact Line 6 are still actively selling it. Its not as if its now an unsupported legacy plugin. They still sell it in version 2.59 which is 32 bit for Cubase on OSX. Absolutely ridiculous. They've had years to make it work correctly now. Other plugin manufacturers don't seem to have a problem. I just wish they'd care a little more to sort it out.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...